# Cleanup R environment
rm(list=ls())               # Remove data frames and values
dev.off()                   # Remove plots
cat("\014")                 # Remove results from the console

# Set output to be written with comma or dot for separating decimals
options(OutDec= ".")

# Set working directory
setwd("C:/Taiacupeba_SedimentModel")

# Load data sets
TaiacupebaMirim <- read.csv("CrossSections_TaiacupebaMirim.csv", header=T)
TaiacupebaMirim.bank <- read.csv("BankStations_TaiacupebaMirim.csv", header=T)
Balainho <- read.csv("CrossSections_Balainho.csv", header=T)
Balainho.bank <- read.csv("BankStations_Balainho.csv", header=T)
TaiacupebaGuacu <- read.csv("CrossSections_TaiacupebaGuacu.csv", header=T)
TaiacupebaGuacu.bank <- read.csv("BankStations_TaiacupebaGuacu.csv", header=T)
JUTA_Channel <- read.csv("CrossSections_JUTAChannel.csv", header=T)
JUTA_Channel.bank <- read.csv("BankStations_JUTAChannel.csv", header=T)

# Activate the stream wich a sample cross section should be plotted
# reach <- TaiacupebaMirim; bank <- TaiacupebaMirim.bank
reach <- Balainho; bank <- Balainho.bank
# reach <- TaiacupebaGuacu; bank <- TaiacupebaGuacu.bank
# reach <- JUTA_Channel; bank <- JUTA_Channel.bank

# Choose the cross section sequencial number to be plotted
XS <- 2

# Plot cross section
plot(reach[,(XS+(XS-1))], reach[,(2*XS)], xlab = "Station, in meters",
     ylab = "Elevation, in meters", xaxt = "n", yaxt = "n", type = "l", lwd = 3,
     cex.lab = 1.5)
axis(1, at = pretty(reach[,(XS+(XS-1))], 5), labels = pretty(reach[,(XS+(XS-1))], 5),
     tck = 0.04, cex.axis = 1.5)
axis(2, at = seq(0, 1000, 2), labels = seq(0, 1000, 2), tck = 0.03, cex.axis = 1.5)
axis(3, at = pretty(reach[,(XS+(XS-1))], 5), labels = F, tck = 0.04, cex.axis = 1.5)
axis(4, at = seq(0, 1000, 2), labels = F, tck = 0.03, cex.axis = 1.5)
points(bank[1,(XS+(XS-1))],
       reach[which(reach[,(XS+(XS-1))] == bank[,(XS+(XS-1))]), (2*XS)],
       pch = 16, cex = 1.5, col = "red")
points(bank[1,(2*XS)],
       reach[which(reach[,(XS+(XS-1))] == bank[,(XS+(XS-1))]), (2*XS)],
       pch = 16, cex = 1.5, col = "red")
legend("top", inset = 0.05, c("Cross section profile", "Bank Stations"),
       lty = c(1, NA), lwd = c(3, NA), pch = c(NA, 16), col = c("black", "red"),
       bty = "n", cex = 1.5, title = "Explanation", title.adj = 0.1)