# Cleanup R environment
rm(list=ls())               # Remove data frames and objects
dev.off()                   # Remove plots
cat("\014")                 # Remove results from the console

# Set output to be written with comma or dot for separating decimals
options(OutDec= ".")

# Set working directory
setwd("C:/Taiacupeba_SedimentModel")

# Load data sets
TaiacupebaMirim <- read.csv("SedimentData_TaiacupebaMirim.csv", header=T)
Balainho <- read.csv("SedimentData_Balainho.csv", header=T)
TaiacupebaGuacu <- read.csv("SedimentData_TaiacupebaGuacu.csv", header=T)
JUTAChannel <- read.csv("SedimentData_JUTAChannel.csv", header=T)
DamOutlet <- read.csv("SedimentData_DamOutlet.csv", header = T)

# Box Plot
boxplot(TaiacupebaMirim$SSC, Balainho$SSC, TaiacupebaGuacu$SSC, JUTAChannel$SSC,
        DamOutlet$SSC, horizontal = T, outline = T, log = "x", cex.lab = 1.5,
        xlab = "Suspended sediment concentration, in miligrams per liter",
        ylab = "Stream gage", xaxt = "n", yaxt = "n")
axis(1, at = c(0.001, 0.01, 0.1, 1, 10, 100), labels = c(0.001, 0.01, 0.1, 1, 10, 100),
     tck = 0.04, cex.axis = 1.5)
rug(x = c(seq(0.1, 1, 0.1), seq(1, 10, 1), seq(10, 100, 10), seq(100, 1000, 100)),
    ticksize = 0.02, side = 1)
axis(2, at = seq(1:5), labels = c("T1", "T2", "T3", "T4", "T5"), tck = 0.02,
     las = 2, cex.axis = 1.5)
axis(3, at = c(0.001, 0.01, 0.1, 1, 10, 100), labels = F, tck = 0.04, cex.axis = 1.5)
rug(x = c(seq(0.1, 1, 0.1), seq(1, 10, 1), seq(10, 100, 10), seq(100, 1000, 100)),
    ticksize = 0.02, side = 3)
axis(4, at = seq(1:5), labels = F, tck = 0.02, cex.axis = 1.5)
rug(x = seq(10, 100, 10), ticksize = 0.02, side = 4)