# Cleanup R environment
rm(list=ls())               # Remove data frames and objects
dev.off()                   # Remove plots
cat("\014")                 # Remove results from the console

# Set output to be written with comma or dot for separating decimals
options(OutDec= ".")

# Set working directory
setwd("C:/Taiacupeba_SedimentModel")

# Load data sets
SedData <- read.csv("SedimentData_JUTAChannel.csv",header=T)
  SedData$SAMPLE_DATE <- as.Date(SedData$SAMPLE_DATE, "%m/%d/%Y")

# Mean Q and SSC were used instead of a Sediment Rating Curve for JUTA Channel
Q <- mean(SedData$Q)
SSC <- mean(SedData$SSC)

# Create a data frame with total suspended load and suspended load per grain class
# HECRAS.data is ready for copy/paste into HEC-RAS
HECRAS.data <- data.frame("Flow" = Q)
HECRAS.data <- transform(HECRAS.data, "TotalLoad" = Flow * SSC * 0.0864)
HECRAS.data <- transform(HECRAS.data, "Clay" = TotalLoad * 0.133)
HECRAS.data <- transform(HECRAS.data, "VFM" = TotalLoad * 0.224)
HECRAS.data <- transform(HECRAS.data, "FM" = TotalLoad * 0.271)
HECRAS.data <- transform(HECRAS.data, "MM" = TotalLoad * 0.228)
HECRAS.data <- transform(HECRAS.data, "CM" = TotalLoad * 0.110)
HECRAS.data <- transform(HECRAS.data, "VFS" = TotalLoad * 0.034)
HECRAS.data <- t(HECRAS.data)