# Cleanup R environment
rm(list=ls())               # Remove data frames and objects
dev.off()                   # Remove plots
cat("\014")                 # Remove results from the console

# Set output to be written with comma or dot for separating decimals
options(OutDec= ".")

# Set working directory
setwd("C:/Taiacupeba_SedimentModel")

# Load data sets
DailyQ <- read.csv("DailyDischarge_TaiacupebaMirim.csv",header=T)
DailyQ$DATE <- as.Date(DailyQ$DATE, "%m/%d/%Y")

# Plot streamflow time series
plot(DailyQ$DISCHARGE, xlab = "Time, in days",
     ylab = "Discharge, in cubic meters per second", type = "l", lwd = 3, cex.lab = 1.5,
     xaxt = "n", yaxt = "n", col = "blue")
axis(1, tck = 0.04, cex.axis = 1.5)
axis(2, tck = 0.04, cex.axis = 1.5)
axis(3, labels = F, tck = 0.04, cex.axis = 1.5)
axis(4, labels = F, tck = 0.04, cex.axis = 1.5)